Subject: bug#56197: [PATCH v3] lisp: Introduce a `lisp-fill-paragraph-as-displayed' variable.

From: Eli Zaretskii <[email-masked]>
Date: Sun, 26 Jan 2025 17:02:25 +0200

> From: Maxim Cournoyer <[email-masked]>
> Cc: Felix Lechner <[email-masked]>,  [email-masked],
>   [email-masked],  [email-masked]
> Date: Sun, 26 Jan 2025 23:40:06 +0900
> 
> Hi Eli,
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> From: Felix Lechner <[email-masked]>
> [...]
> 
> >> Thanks, but the name is terrible.  The name fill-paragraph-as-displayed
> >> is the standard behavior.  It would be better to invert the logic and
> >> call it fill-strings-instead-of-paragraphs.
> >
> > I'm okay with looking for a better name, but
> > fill-strings-instead-of-paragraphs doesn't sound like a better one
> > (and "terrible" is an exaggeration, IMO).  How about
> > fill-paragraph-as-doc-string, by default t?
> 
> That's not a bad name, but my code simply avoids narrowing to strings,
> it preserves the special handling for doc strings such as filling the
> first sentence separately to the second one, so it wouldn't be accurate
> in the current version.  We could also turn this special handling off
> (which would also be welcome in my use case), then your suggested naming
> would make sense.

Sorry, I don't follow.  The behavior introduced in Emacs 28 was to
fill the paragraph as if it were a doc string, treating the first line
specially.  Setting the new variable you added disables that.  That is
why I said the variable should be t by default; disabling the new
behavior would then mean resetting it to nil.

So what am I missing?